/* Function prototypes for CLIPBRD.ASM file.*/

#ifndef __CLIPBRD
#define __CLIPBRD

/* Constants of data types to use with ClipBrd assembly module. */

#define WINTXT	1
#define BITMAP	2
#define METAF	3
#define SYLK	4
#define DIF		5
#define TIFF	6
#define OEM		7
#define DSPTXT	81h
#define DSPBIT	82h

/* WinOldApp - Sees if the Clipboard is supported */
/* returns 1700h if NOT , AH Minor version, AL Major Version*/
int WinOldApp( void ); /*returns 1700h if fail */
/*Opens clip returns 0 if fail NON-Zero if OK */
int OpenClipBoard( void ); /*returns 0 or non 0*/
/*Clears Clip returns like Open*/
int ClearClipBoard( void ); /*returns 0 or non 0*/

/*
;Format codes:
;	1	text Windows
;	2	Bitmap
;	3	Mteafile
;	4	SYLK	Excel Format
;	5	DIF	Standard data interchange
;	6	TIFF	Tagged image File(graphics)
;	7	OEM	Text(Using the PC text)
;	81H	DSP Text TEXT
;	82H	DSP Bitmap
;
*/
/* These functions need the above formatting const*/
/*Copy pass in fomat code, length of data, pointer to data */
int CopyToClip( int, unsigned long, void far* ); /*returns 0 or non 0*/

/*QueryClip-Pass in format code*/
long QueryClip( int );/*returns size in bytes*/
/* Pass in format code , buffer*/
int PasteFrmClip(int,void far* ); /*returns 0 or non 0*/
/* End of functions that need format codes as first parramter*/
/**************************************************************************/

/* This just closes clip*/
int CloseClip( void ); /*returns 0 or non 0*/

/* Pass in required size*/
long CompactClip( int );/*returns largest available block*/

#endif /* End __CLIPBRD Re-Compile Guard.*/